ScriptCondition (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.optional, class: ScriptCondition

# Class ScriptCondition

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.optional.AbstractScriptComponent
org.apache.tools.ant.types.optional.ScriptCondition

All Implemented Interfaces:
  `Cloneable, Condition`

public class ScriptCondition extends AbstractScriptComponent implements Condition
A condition that lets you include script. The condition component sets a bean "self", whose attribute "value" must be set to true for the condition to succeed, false to fail. The default is 'false'

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Is this condition true?
  `boolean`
  `getValue()`
  get the current value of the condition
  `void`
  `setValue(boolean value)`
  set the value of the condition.

  ### Methods inherited from class AbstractScriptComponent

  `addText, createClasspath, executeScript, getRunner, initScriptRunner, setClasspath, setClasspathRef, setEncoding, setLanguage, setManager, setManager, setProject, setSetBeans, setSrc`
  Modifier and Type
  Method
  Description
  `void`
  `addText(String text)`
  The script text.
  `Path`
  `createClasspath()`
  Classpath to be used when searching for classes and resources.
  `protected void`
  `executeScript(String execName)`
  Run a script
  `ScriptRunnerBase`
  `getRunner()`
  Get our script runner
  `protected void`
  `initScriptRunner()`
  Initialize the script runner.
  `void`
  `setClasspath(Path classpath)`
  Set the classpath to be used when searching for classes and resources.
  `void`
  `setClasspathRef(Reference r)`
  Set the classpath by reference.
  `void`
  `setEncoding(String encoding)`
  Set the encoding of the script from an external file; optional.
  `void`
  `setLanguage(String language)`
  Defines the language (required).
  `void`
  `setManager(String manager)`
  Deprecated.
  `void`
  `setManager(ScriptManager manager)`
  Set the script manager.
  `void`
  `setProject(Project project)`
  Set the project.
  `void`
  `setSetBeans(boolean setBeans)`
  Set the setbeans attribute.
  `void`
  `setSrc(File file)`
  Load the script from an external file; optional.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptCondition

    public ScriptCondition()

- ## Method Details

  - ### eval

    public boolean eval() throws BuildException
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if the condition is true
    Throws:
      `BuildException` - if an error occurs

  - ### getValue

    public boolean getValue()
    get the current value of the condition
    Returns:
      true if the condition

  - ### setValue

    public void setValue(boolean value)
    set the value of the condition. This is used by the script to pass the return value. It can be used by an attribute, in which case it sets the default value
    Parameters:
      `value` - the value to set the condition to